Bug 114190 - Switchdesk won't list fluxbox even if installed
Switchdesk won't list fluxbox even if installed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
http://www.arny.org/softs/rpms/switch...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-23 14:56 EST by Arnaud Abélard
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-03 16:35:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch file for Makefile, Makefile.in, Makefile.am, switchdesk-helper, switchdesk-kde.[cpp|h], switchdesk-gnome.c (6.53 KB, patch)
2004-01-23 14:59 EST, Arnaud Abélard
no flags Details | Diff
fluxbox logo (xpm) (40.03 KB, image/x-xpixmap)
2004-01-23 15:00 EST, Arnaud Abélard
no flags Details

  None (edit)
Description Arnaud Abélard 2004-01-23 14:56:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031202

Description of problem:
After installing fluxbox (from rpm or from source) switchdesk,
switchdesk-gnome and switchdesk-kde won't list fluxbox and so won't
allow you to select it as default windows manager (even though after
selecting it in gdm it's telling you to use switchdesk to mark fluxbox
as your default WM)

I made a patch to add fluxbox in switchdesk*

Version-Release number of selected component (if applicable):
switchdesk-3.9.8-18 switchdesk-kde-3.9.8-18 switchdesk-gnome-3.9.8-18

How reproducible:
Always

Steps to Reproduce:
1.install fluxbox from source or from rpm
2.when logging in gdm, choose fluxbox 
3. once you logged in, use switchdesk fluxbox ("unknown desktop" is
returned) or fluxbox-gnome (or -kde) and fluxbox won't be listed
    

Actual Results:  fluxbox can't be set as default WM

Expected Results:  fluxbox should appear in switchdesk-* 

Additional info:

a patch and some other files for switchdesk is provided on my page
http://www.arny.org/softs/rpms/switchdesk/
Comment 1 Arnaud Abélard 2004-01-23 14:59:34 EST
Created attachment 97218 [details]
patch file for Makefile, Makefile.in, Makefile.am, switchdesk-helper, switchdesk-kde.[cpp|h], switchdesk-gnome.c

made against switchdesk-3.9.8-18.src.rpm (cf
http://www.arny.org/softs/rpms/switchdesk/)
Comment 2 Arnaud Abélard 2004-01-23 15:00:41 EST
Created attachment 97219 [details]
fluxbox logo (xpm)

fluxbox logo to be used in switchdesk-[kde|gnome]
Comment 3 Ngo Than 2004-02-03 16:35:35 EST
it's fixed in 4.0.0, which is available in rawhide


Note You need to log in before you can comment on or make changes to this bug.